#ifndef __Goody_Loadable__
#define __Goody_Loadable__

#ifndef __Goodies_c__
extern int win_width;
extern int stwin_width;
extern int icons_offset;
extern int RenewGoodies;
#endif

struct GoodyLoadable{
        void * (*LoadableInit)(char *);
	int (*LoadableParseResource)(void *,char *,char *,int);
	void (*LoadableLoad)(void *,Display *,Drawable);
	void (*LoadableDraw)(void *,Display *,Drawable);
	int (*LoadableSeeMouse)(void *,int x,int y);
	void (*LoadableCreateTipWindow)(void *);
	void (*HandleIconClick)(void *,XEvent event);
};

int ParseGLinfo(char *tline,char *Module,int Clength);	            
void LoadableLoad(Display *dpy,Drawable win);
void LoadableDraw(Display *dpy,Drawable win);
int LoadableSeeMouse(int x,int y);
void CreateLoadableTipWindow(int k);
void HandleLoadableClick(XEvent event,int k);
void PopupTipWindow(int px, int py, char *text);
char *EnvExpand(char *str);

#endif
